Create a setup link
curl --request POST \
--url https://cloud.watahub.dev/v1/setup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedOrigins": [
"<string>"
],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedConnectionTypes": [
"dedicated",
"coexistence"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedOrigins: ['<string>'],
successRedirectUrl: '<string>',
failureRedirectUrl: '<string>',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowedConnectionTypes: ['dedicated', 'coexistence']
})
};
fetch('https://cloud.watahub.dev/v1/setup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/setup-links"
payload = {
"allowedOrigins": ["<string>"],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedConnectionTypes": ["dedicated", "coexistence"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"url": "<string>",
"token": "<string>",
"expiresAt": 123,
"customerId": "<string>",
"allowedConnectionTypes": [
"dedicated"
],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
Create a setup link
Create a setup link
POST
/
v1
/
setup-links
Create a setup link
curl --request POST \
--url https://cloud.watahub.dev/v1/setup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedOrigins": [
"<string>"
],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedConnectionTypes": [
"dedicated",
"coexistence"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedOrigins: ['<string>'],
successRedirectUrl: '<string>',
failureRedirectUrl: '<string>',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowedConnectionTypes: ['dedicated', 'coexistence']
})
};
fetch('https://cloud.watahub.dev/v1/setup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/setup-links"
payload = {
"allowedOrigins": ["<string>"],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedConnectionTypes": ["dedicated", "coexistence"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"url": "<string>",
"token": "<string>",
"expiresAt": 123,
"customerId": "<string>",
"allowedConnectionTypes": [
"dedicated"
],
"successRedirectUrl": "<string>",
"failureRedirectUrl": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerApiKeyheaderApiKey
Tenant API key.
Body
application/json
Required array length:
1 - 8 elementsExact https origin, e.g. https://app.example.com
Maximum string length:
200https URL on one of allowedOrigins.
Maximum string length:
2000Maximum string length:
2000Required array length:
1 - 2 elementsAvailable options:
dedicated, coexistence Response
Setup link.
Hosted Embedded Signup page /connect/{token}. Single use, expires in 1 hour.
Unix epoch milliseconds.
Available options:
dedicated, coexistence Was this page helpful?